deprecations:
  - feature_name: "`Undefined` will be deprecated for Severity and Confidence in Secure"
    due: May 22, 2020
    reporter: NicoleSchwartz
    description: |
      Our User Experience team found that the terminology we used for Severity and Confidence was similar, but not the same, and resulted in a lot of confusion. You can read more about the work in this [epic](https://gitlab.com/groups/gitlab-org/-/epics/2228). In Secure, we will be deprecating the use of `undefined` for both Severity and Confidence properties in the Security Reports (JSON) and the vulnerabilities API. If you are searching for or expecting `undefined` as a filter value in the [vulnerability API](https://docs.gitlab.com/ee/api/vulnerability_findings.html), you will need to stop using that as a filter value and instead use `unknown`.
